Package org.eclipse.mat.report.internal

# Class HtmlOutputter

java.lang.Object
org.eclipse.mat.report.internal.HtmlOutputter

All Implemented Interfaces:
  `IOutputter`

public class HtmlOutputter extends Object implements IOutputter

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.mat.report.IOutputter

`IOutputter.Context`

## Constructor Summary

Constructors
Constructor
Description
`HtmlOutputter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`embedd(IOutputter.Context context, IResult result, Writer writer)`
Add this result to the output.
`void`
`process(IOutputter.Context context, IResult result, Writer writer)`
Write this result to the output, presuming the writer has just been opened.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HtmlOutputter

public HtmlOutputter()

## Method Details

### embedd

public void embedd(IOutputter.Context context, IResult result, Writer writer) throws IOException
Description copied from interface: `IOutputter`
Add this result to the output.

Specified by:
  `embedd` in interface `IOutputter`
Parameters:
  `context` - the context, which controls how the output should be done
  `result` - the result to be formatted
  `writer` - where the formatted output should go
Throws:
  `IOException` - if something went wrong writing this result

### process

public void process(IOutputter.Context context, IResult result, Writer writer) throws IOException
Description copied from interface: `IOutputter`
Write this result to the output, presuming the writer has just been opened.

Specified by:
  `process` in interface `IOutputter`
Parameters:
  `context` - the context, which controls how the output should be done
  `result` - the result to be formatted
  `writer` - where the formatted output should go
Throws:
  `IOException` - if something went wrong writing this result